2598748 - R3trans reports "libc.so.6: version GLIBC_2.16 not found" error after IBM CLI driver upgrade from 10.5 FP5 to 11.1 FP2 | SAP Knowledge Base Article

SAP Knowledge Base Article - Preview

2598748 - R3trans reports "libc.so.6: version GLIBC_2.16 not found" error after IBM CLI driver upgrade from 10.5 FP5 to 11.1 FP2

Symptom

After upgrade of the DB2 Connect IBM DB2 CLI/JDBC client from v10.5 to v11.1 R3trans reports the following error:

sapsid:sidadm 57> cat trans.log
4 ETW000 R3trans version 6.26 (release 745 - 24.03.17 - 20:17:03).
4 ETW000 unicode enabled version
4 ETW000 ===============================================
4 ETW000
4 ETW000 date&time   : 06.12.2017 - 15:42:50
4 ETW000 control file: <no ctrlfile>
4 ETW000 R3trans was called as follows: R3trans -d
4 ETW000  trace at level 1 opened for a given file pointer
4 ETW000  [     dev trc,00000]  Wed Dec  6 15:42:50 2017
4 ETW000  [     dev trc,00000]  Loading DB library '/usr/sap/SID/SYS/exe/uc/linuxs390x/dbdb2slib.so' ...
4 ETW000  [     dev trc,00000]  Library '/usr/sap/SID/SYS/exe/uc/linuxs390x/dbdb2slib.so' loaded
4 ETW000  [     dev trc,00000]  Version of '/usr/sap/SID/SYS/exe/uc/linuxs390x/dbdb2slib.so' is "745.04", patchlevel (0.618)
4 ETW000  [     dev trc,00000]  DB2Trc: dbs/db2/dsn_alias is not set -> we use the SAP fail over feature
4 ETW000  [dlux.c      ,00000]  *** ERROR => DlLoadLib()==DLENOACCESS - dlopen("libdb2.so") FAILED
4 ETW000                          "/lib64/libc.so.6: version `GLIBC_2.16' not found (required by /usr/sap/SID/SYS/global/db2/LINUX_S390X_64/db2_clidriver/lib/libdb2.so)"
4 ETW000  [     dev trc,00000]  Could not load DB2 library libdb2.so.  No database connection possible.
4 ETW000  [dbdb2s.c    ,00000]  *** ERROR => initialization of CLI interface failed with error '-89983'
2EETW169 no connect possible: "DBMS = DB2/MVS --- "
sapsid:sidadm 58>

You can execute the "ldd" command against libdb2.so driver and see the same error.

sapsid:sidadm 81> ldd libdb2.so
./libdb2.so: /lib64/libc.so.6: version `GLIBC_2.16' not found (required by ./libdb2.so)
        libcrypt.so.1 => /lib64/libcrypt.so.1 (0x000003ffa1d00000)
        libdl.so.2 => /lib64/libdl.so.2 (0x000003ffa1c80000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x000003ffa1c00000)
        librt.so.1 => /lib64/librt.so.1 (0x000003ffa1b80000)
        libpam.so.0 => /lib64/libpam.so.0 (0x000003ffa1b00000)
        libm.so.6 => /lib64/libm.so.6 (0x000003ffa1a00000)
        libibmc++.so.1 => ./libibmc++.so.1 (0x000003ffa1980000)
        libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x000003ffa1800000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x000003ffa1780000)
        libc.so.6 => /lib64/libc.so.6 (0x000003ffa1580000)
        libfreebl3.so => /lib64/libfreebl3.so (0x000003ffa1500000)
        /lib/ld64.so.1 (0x000002aa3be80000)
        libaudit.so.1 => /lib64/libaudit.so.1 (0x000003ffa1480000)
sapsid:sidadm 82>


Read more...

Environment

  • SAP SOLUTION MANAGER 7.2
  • DB2 z/OS 11.01.0005
  • IBM DB2 Driver for CLI,ODBC,JDBC,SQLJ  V11.1 FP2
  • Red Hat Enterprise Linux Server release 6.9

Product

SAP Solution Manager 7.2

Keywords

CLI, JDBC, libdb2.so, GNU, libc.so, DLENOACCESS, GLIBC, -89983, R3trans , KBA , BC-DB-DB2 , DB2 for z/OS , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.